## Apache Zeta Components Manual :: Docs For Class ezcSignalStaticConnectionsBase

### SignalSlot::ezcSignalStaticConnectionsBase

### Interface ezcSignalStaticConnectionsBase

Interface for classes that implement a mail transport.

Subclasses must implement the send() method.

Source for this file: /SignalSlot/src/interfaces/static_connections_base.php

Version: | //autogen//

### Method Summary

public array(int=>array(callback)) | `getConnections( $identifier , $signal )` Returns all the connections for signals $signal in signal collections with the identifier $identifier.

### Methods

#### getConnections

array(int=>array(callback)) getConnections( string $identifier , string $signal )

Returns all the connections for signals $signal in signal collections with the identifier $identifier.

The format of the returned array is (priority=>array(phpCallbacks))

The callback type is explained in the PHP manual (http://php.net/callback).

The returned array MUST be sorted on priority.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$identifier` | string |
`$signal` | string |

Documentation generated by phpDocumentor 1.4.3